Bug 1497691 - CVE-2017-14491 CVE-2017-14492 CVE-2017-14493 CVE-2017-14494 CVE-2017-14495 CVE-2017-14496 dnsmasq: various flaws [fedora-all]
Summary: CVE-2017-14491 CVE-2017-14492 CVE-2017-14493 CVE-2017-14494 CVE-2017-14495 CV...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnsmasq
Version: 26
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F27FinalBlocker CVE-2017-14491 CVE-2017-14492 CVE-2017-14493 CVE-2017-14494 CVE-2017-14495 CVE-2017-14496
TreeView+ depends on / blocked
 
Reported: 2017-10-02 13:18 UTC by Adam Mariš
Modified: 2017-10-24 05:25 UTC (History)
16 users (show)

Fixed In Version: dnsmasq-2.76-5.fc26 dnsmasq-2.76-4.fc25 dnsmasq-2.77-9.fc27
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-24 05:25:10 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-10-02 13:18:32 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Adam Mariš 2017-10-02 13:18:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1495409,1495410,1495411,1495412,1495415,1495416,1497691

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2017-10-02 15:46:21 UTC
dnsmasq-2.77-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7106a157f5

Comment 3 Fedora Update System 2017-10-02 15:47:48 UTC
dnsmasq-2.76-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-24f067299e

Comment 4 Fedora Update System 2017-10-02 15:48:39 UTC
dnsmasq-2.76-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-515264ae24

Comment 5 Fedora Update System 2017-10-03 13:22:22 UTC
dnsmasq-2.76-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-515264ae24

Comment 6 Fedora Blocker Bugs Application 2017-10-03 16:59:23 UTC
Proposed as a Blocker for 27-final by Fedora user mattdm using the blocker tracking app because:

 "The release must contain no known security bugs of 'important' or higher impact according to the Red Hat severity classification scale which cannot be satisfactorily resolved by a package update (e.g. issues during installation)."

Comment 7 Fedora Update System 2017-10-06 03:21:59 UTC
dnsmasq-2.76-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-515264ae24

Comment 8 Fedora Update System 2017-10-06 03:24:15 UTC
dnsmasq-2.76-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-24f067299e

Comment 9 Fedora Update System 2017-10-06 04:24:18 UTC
dnsmasq-2.77-9.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7106a157f5

Comment 10 Fedora Update System 2017-10-06 15:20:36 UTC
dnsmasq-2.76-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Dusty Mabe 2017-10-17 20:40:14 UTC
The main reason I re-opened is because the "closed" state of the bug was making it no longer show up in the blocker bugs application for fedora 27 final blockers: 

https://qa.fedoraproject.org/blockerbugs/milestone/27/final/buglist

Comment 13 Kamil Páral 2017-10-18 13:14:03 UTC
Since F27 is frozen now, this either needs to be a blocker or get a freeze exception. Voting +1 FE for the moment.

Comment 14 Lukas Brabec 2017-10-18 13:14:36 UTC
+1 FE

Comment 15 Dusty Mabe 2017-10-18 13:21:59 UTC
don't know if my vote counts, but +1 FE

Comment 16 Matthew Miller 2017-10-18 13:43:16 UTC
Thanks for re-opening, Dusty -- this had fallen off my radar. Not that it matters much, but I think this is actually a blocker, not merely a FE. (See comment #6)

Comment 17 Adam Williamson 2017-10-18 16:15:24 UTC
+1 FE for F27 (at least). That's enough votes to set accepted.

Comment 18 sumantro 2017-10-19 06:03:05 UTC
+1 FE for F 27

Comment 19 Geoffrey Marr 2017-10-23 21:18:53 UTC
Discussed during the 2017-10-23 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it violates the following blocker criteria:

"The release must contain no known security bugs of 'important' or higher impact according to the Red Hat severity classification scale which cannot be satisfactorily resolved by a package update (e.g. issues during installation)"

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-10-23/f27-blocker-review.2017-10-23-16.00.txt

Comment 20 Fedora Update System 2017-10-23 22:51:13 UTC
dnsmasq-2.76-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-10-24 05:25:10 UTC
dnsmasq-2.77-9.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.